/* $Header: /Users/meo/srcX/meo/xbiff/RCS/Mailbox.h,v 1.1 93/11/01 22:42:07 meo Exp $ */
/*
 * $XConsortium: Mailbox.h,v 1.12 88/09/30 08:44:24 swick Exp $
 *
 *  PORTIONS COPYRIGHT 1992, 1996, Roadkills-R-Us, Austin, Texas.
 *
 *  Permission is hereby granted to use, copy, modify and/or distribute
 *  this software and supporting documentation, for any purpose and
 *  without fee, as long as this copyright notice and disclaimer are
 *  included in all such copies and derived works, and as long as
 *  neither the author's nor the copyright holder's name are used
 *  in publicity or distribution of said software and/or documentation
 *  without prior, written permission.
 *
 *  This software is presented as is, with no warranties expressed or
 *  implied, including implied warranties of merchantability and
 *  fitness. In no event shall the author be liable for any special,
 *  direct, indirect or consequential damages whatsoever resulting
 *  from loss of use, data or profits, whether in an action of
 *  contract, negligence or other tortious action, arising out of
 *  or in connection with the use or performance of this software.
 *  In other words, you are on your own. If you don't like it, don't
 *  use it!
 *
 *  Miles O'Neal                               (aka, Roadkills-R-Us)
 *  meo@rru.com     http://www.rru.com/~meo/     http://www.rru.com/
 *  Route 1, Box 558  /  Johnson Road  /  Leander, TX  /  78641-9413
 *
 * Original Source Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:  Jim Fulton, MIT X Consortium
 */

#ifndef _XtMailbox_h
#define _XtMailbox_h

/*
 * Mailbox widget; looks a lot like the clock widget, don't it...
 */

/* resource names used by mailbox widget that aren't defined in StringDefs.h */

#ifndef XtNupdate
#define XtNupdate		"update"
#endif
#ifndef XtNfile
#define XtNfile			"file"
#endif
#define XtNcheckCommand "checkCommand"	/* command to exec for mail check */
#define XtNonceOnly		"onceOnly"
#define XtNvolume "volume"		/* Int: volume for bell */

#define XtCCheckCommand "CheckCommand"
#define XtCVolume "Volume"


/* structures */

typedef struct _MailboxRec *MailboxWidget;  /* see MailboxP.h */
typedef struct _MailboxClassRec *MailboxWidgetClass;  /* see MailboxP.h */


extern WidgetClass mailboxWidgetClass;

#endif _XtMailbox_h
/* DON'T ADD STUFF AFTER THIS #endif */
